/***
 * OW2 FraSCAti Examples : Fscript reconfiguration
 * Copyright (C) 2008-2010 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors: Christophe Demarey
 */
package org.ow2.frascati.examples.test;

import org.junit.Before;
import org.ow2.frascati.fscript.FrascatiScriptFactory;
import org.ow2.frascati.factory.FactoryException;
import org.ow2.frascati.factory.FactoryInstantiationException;

/**
 * An utility class used to run tests on FraSCAti runtime with FScript enable. 
 * 
 * @author Christophe Demarey
 */
public abstract class FraSCAtiScriptTestCase extends FraSCAtiTestCase {

    /**
     * Load a composite
     * 
     * @param name
     *          the composite name
     * @throws FactoryException, FactoryInstantiationException 
     */
    @Before
    @Override
    public void loadComposite() throws FactoryException, FactoryInstantiationException {
      String compositeName = getComposite();
      System.out.println("Loading " + compositeName + " composite...");
      scaComposite = new FrascatiScriptFactory().getComposite(compositeName);
    }


}
