/***
 * OW2 FraSCAti Examples : Fscript reconfiguration
 * Copyright (C) 2008-2010 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Christophe Demarey
 */
package org.ow2.frascati.examples.reconfig.converter;

import org.osoa.sca.annotations.Property;
import org.osoa.sca.annotations.Scope;


/** 
 * The Currency converter service implementation. 
 */
@Scope(value="COMPOSITE")
public class CurrencyConverterImpl implements CurrencyConverter {
    private double exchangeRate;
    
    /** Default constructor. */
    public CurrencyConverterImpl() {
        System.out.println("Currency converter created.");
    }
    
    /**
     * Set the exchangeRate property.
     * 
     * @param rate - the new value of the exchange rate.
     */
    @Property
    public void setExchangeRate(final double rate) {
        System.out.println("Setting exchange rate to '" + rate + "'.");
        this.exchangeRate = rate;
    }

    // Implementation of the CurrencyConverter service
    
    public double dollarToEuro(double value) {
        return value * exchangeRate;
    }

    public double euroToDollar(double value) {
        return value / exchangeRate;
    }
}