/***
 * OW2 FraSCAti Examples: Twitter and Weather orchestration
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Nicolas Dolet
 * 
 */

package org.ow2.frascati.examples.twitterweather.api;

import org.ow2.frascati.examples.twitterweather.xml.Locations;

/**
 * Simple interface to decode weather service messages
 * 
 * @author Nicolas Dolet
 *
 */
public interface Decoder {
  
  /**
   * Decode a message
   * 
   * @param message the message
   * @return a {@link Locations} object containing <code>message</code> data.
   */
  public Locations decode(String message);
  
}
